PreferencesFactory (Java Platform SE 8 )
Keywords: java.util.prefs.PreferencesFactory interface
Date: 2026-03-16

compact3
java.util.prefs

## Interface PreferencesFactory

-     public interface PreferencesFactory

  A factory object that generates Preferences objects. Providers of new `Preferences` implementations should provide corresponding `PreferencesFactory` implementations so that the new `Preferences` implementation can be installed in place of the platform-specific default implementation.

  This class is for `Preferences` implementers only. Normal users of the `Preferences` facility should have no need to consult this documentation.

  Since:
    1.4
  See Also:
    `Preferences`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Preferences` | `systemRoot()` Returns the system root preference node.
    `Preferences` | `userRoot()` Returns the user root preference node corresponding to the calling user.

- - ### Method Detail

    - #### systemRoot

          Preferences systemRoot()

      Returns the system root preference node. (Multiple calls on this method will return the same object reference.)
      Returns:
        the system root preference node

    - #### userRoot

          Preferences userRoot()

      Returns the user root preference node corresponding to the calling user. In a server, the returned value will typically depend on some implicit client-context.
      Returns:
        the user root preference node corresponding to the calling user

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.